/production-api/polygon/getbyidRetrieve a ProductionPolygon by its ID
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ID of the desired ProductionPolygon
Response Body
application/json
curl -X GET "https://example.com/production-api/polygon/getbyid?id=0"{ "id": 0, "polygonId": 0, "productionProjectId": 0, "subnumber": 0, "productionPackageId": 0, "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "statuses": [ { "id": 0, "productionPolygonId": 0, "productionStatusId": 0, "productionStatusValue": 0, "hubEmployeeId": 0, "remarks": "string", "assignedAt": "2019-08-24T14:15:22Z" } ], "materials": [ { "id": 0, "polygonProjectMaterialId": 0, "hasDefect": true, "hadDefect": true, "isMatched": true, "matchedAt": "2019-08-24T14:15:22Z" } ]}/production-api/polygon/getunmatchedRetrieves all ProductionPolygons that have atleast 1 ProductionPolygonProjectMaterial with IsMatched = false
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Response Body
application/json
curl -X GET "https://example.com/production-api/polygon/getunmatched"[ { "id": 0, "polygonId": 0, "productionProjectId": 0, "subnumber": 0, "productionPackageId": 0, "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "statuses": [ { "id": 0, "productionPolygonId": 0, "productionStatusId": 0, "productionStatusValue": 0, "hubEmployeeId": 0, "remarks": "string", "assignedAt": "2019-08-24T14:15:22Z" } ], "materials": [ { "id": 0, "polygonProjectMaterialId": 0, "hasDefect": true, "hadDefect": true, "isMatched": true, "matchedAt": "2019-08-24T14:15:22Z" } ] }]/production-api/polygon/setpolygonprojectmaterialmatchedUpdates the IsMatched state of a specific ProductionPolygonProjectMaterial
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The request to update the IsMatched state of a ProductionPolygonProjectMaterial
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/production-api/polygon/setpolygonprojectmaterialmatched" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "polygonProjectMaterialId": 0, "hasDefect": true, "hadDefect": true, "isMatched": true, "matchedAt": "2019-08-24T14:15:22Z"}/production-api/polygon/setpolygonprojectmaterialhasdefectUpdates the HasDefect value of a specific ProductionPolygonProjectMaterial
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The request to update the HasDefect value of the corresponding ProductionPolygonProjectMaterial
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/production-api/polygon/setpolygonprojectmaterialhasdefect" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "polygonProjectMaterialId": 0, "hasDefect": true, "hadDefect": true, "isMatched": true, "matchedAt": "2019-08-24T14:15:22Z"}/production-api/polygon/setpolygonprojectmaterialhaddefectUpdates the HasDefect value of a specific ProductionPolygonProjectMaterial
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The request to update the HasDefect value of the corresponding ProductionPolygonProjectMaterial
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/production-api/polygon/setpolygonprojectmaterialhaddefect" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "polygonProjectMaterialId": 0, "hasDefect": true, "hadDefect": true, "isMatched": true, "matchedAt": "2019-08-24T14:15:22Z"}